summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh28
1 files changed, 10 insertions, 18 deletions
diff --git a/update.sh b/update.sh
index 9eed6d17..9b70b085 100755
--- a/update.sh
+++ b/update.sh
@@ -24,23 +24,15 @@ then
exit -1
fi
-if [ -e "SleekXMPP" ]
+if [ -e "slixmpp" ]
then
- echo "Removing the old SleekXMPP"
- rm -rf SleekXMPP
- rm src/sleekxmpp
- git clone https://github.com/fritzy/SleekXMPP.git Sleek || error SleekXMPP
-fi
-
-if [ -e "Sleek" ]
-then
- echo "Updating SleekXMPP"
- cd Sleek
- git pull || error SleekXMPP
+ echo "Updating slixmpp"
+ cd slixmpp
+ git pull || error slixmpp
cd ..
else
- echo "Downloading SleekXMPP"
- git clone https://github.com/fritzy/SleekXMPP.git Sleek || error SleekXMPP
+ echo "Downloading slixmpp"
+ git clone git://git.louiz.org/slixmpp || error slixmpp
fi
if [ -e ".dnspython.tgz" ]
@@ -69,10 +61,10 @@ else
echo "Creating link src/dns"
ln -s ../dnspython/dns dns
fi
-if [ -h "sleekxmpp" ]
+if [ -h "slixmpp" ]
then
- echo 'Link src/sleekxmpp already exists'
+ echo 'Link src/slixmpp already exists'
else
- echo "Creating link src/sleekxmpp"
- ln -s ../Sleek/sleekxmpp sleekxmpp
+ echo "Creating link src/slixmpp"
+ ln -s ../slixmpp/slixmpp slixmpp
fi